resources:
  App\Entity\Offer\AdvertGift:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'advert_gift:read'

    denormalizationContext:
      groups:
        - 'advert_gift:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'advert_gift.order_filter', 'advert_gift.search_filter', 'advert_gift.boolean_filter' ]
        openapiContext:
          summary: AdvertGift - List.
          description: >
            Retrieves a list of AdvertGift

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: AdvertGift - Item.
          description: >
            Retrieves a item of AdvertGift

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: AdvertGift - Create.
          description: >
            create an item of AdvertGift

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: AdvertGift - Delete.
          description: >
            delete an item of AdvertGift
